#ifndef ntricks_h
#define ntricks_h

struct newton_math_state
{
int max_electrical_itt;
double min_cur_error;
int newton_min_itt;
double electrical_clamp;
int newton_clever_exit;
};

void newton_push_state(struct device *in);
void newton_pop_state(struct device *in);
double sim_externalv(struct device *in,double wantedv);
double sim_i(struct device *in,double wantedi);
void save_state(struct device *in,double to);
int load_state(struct device *in,double voltage);
void ramp(struct device *in,double from,double to,double steps);
void ramp_externalv(struct device *in,double from,double to);
void set_ntricks_fast(int val);
double sim_voc(struct device *in);
#endif
